import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["alertText", "children", "errorText", "helpText", "id", "inline", "label", "nodeLabel", "onChange", "successText", "useContrastLabel"];
import { useRef } from 'react';
import PropTypes from 'prop-types';
import MoleculeAutosuggest, { MoleculeAutosuggestDropdownListSizes, MoleculeAutosuggestStates } from '@s-ui/react-molecule-autosuggest';
import MoleculeField from '@s-ui/react-molecule-field';
import { getErrorState, getState } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";

function MoleculeAutosuggestField(_ref) {
  var alertText = _ref.alertText,
      children = _ref.children,
      errorText = _ref.errorText,
      helpText = _ref.helpText,
      id = _ref.id,
      inline = _ref.inline,
      label = _ref.label,
      nodeLabel = _ref.nodeLabel,
      onChange = _ref.onChange,
      successText = _ref.successText,
      useContrastLabel = _ref.useContrastLabel,
      restProps = _objectWithoutPropertiesLoose(_ref, _excluded);

  var refAutosuggest = useRef();

  var handleClick = function handleClick() {
    var domAutosuggest = refAutosuggest.current;
    if (domAutosuggest) domAutosuggest.focus();
  };

  var errorState = getErrorState({
    successText: successText,
    errorText: errorText
  });
  var autosuggestState = getState({
    successText: successText,
    errorState: errorState,
    alertText: alertText
  });
  return /*#__PURE__*/_jsx(MoleculeField, {
    name: id,
    label: label,
    nodeLabel: nodeLabel,
    successText: successText,
    errorText: errorText,
    alertText: alertText,
    helpText: helpText,
    inline: inline,
    onClickLabel: handleClick,
    onChange: onChange,
    useContrastLabel: useContrastLabel,
    children: /*#__PURE__*/_jsx(MoleculeAutosuggest, _extends({
      id: id,
      refMoleculeAutosuggest: refAutosuggest,
      errorState: errorState,
      state: autosuggestState
    }, restProps, {
      children: children
    }))
  });
}

MoleculeAutosuggestField.displayName = 'MoleculeAutosuggestField';
export default MoleculeAutosuggestField;
export { MoleculeAutosuggestStates, MoleculeAutosuggestDropdownListSizes };